Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.formmodel
Class AbstractDatatypeWidgetDefinitionBuilder

    java.lang.Object
      org.apache.cocoon.forms.formmodel.AbstractWidgetDefinitionBuilder
          org.apache.cocoon.forms.formmodel.AbstractDatatypeWidgetDefinitionBuilder

All Implemented Interfaces:
  WidgetDefinitionBuilder

Direct Known Subclasses:
  CaptchaDefinitionBuilder, FieldDefinitionBuilder, MultiValueFieldDefinitionBuilder, OutputDefinitionBuilder

public abstract class AbstractDatatypeWidgetDefinitionBuilder
extends AbstractWidgetDefinitionBuilder

Abstract base class for WidgetDefinitionBuilders that build widgets that have datatypes/selection lists.

Version:
  $Id: AbstractDatatypeWidgetDefinitionBuilder.java 615336 2008-01-25 20:48:44Z vgritsenko $

Field Summary

Fields inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinitionBuilder
`datatypeManager, expressionManager, widgetDefinitionBuilders, widgetListenerBuilders, widgetValidatorBuilders`

Constructor Summary
`AbstractDatatypeWidgetDefinitionBuilder()`

Method Summary
`protected SelectionList` | `buildSelectionList(Element widgetElement, AbstractDatatypeWidgetDefinition definition, String name)`
`protected org.apache.cocoon.processing.ProcessInfoProvider` | `getProcessInfoProvider()`
`void` | `setDefaultSelectionListBuilder(String defaultSelectionListBuilder)`
`void` | `setProcessInfoProvider(org.apache.cocoon.processing.ProcessInfoProvider processInfoProvider)`
`void` | `setSelectionListBuilders(Map selectionListBuilders)`
`void` | `setSourceResolver(SourceResolver sourceResolver)`
`protected void` | `setupDefinition(Element widgetElement, AbstractDatatypeWidgetDefinition definition, WidgetDefinitionBuilderContext context)`
`protected void` | `setupDefinition(Element widgetElement, AbstractDatatypeWidgetDefinition definition, WidgetDefinitionBuilderContext context, boolean isArrayType)`
`void` | `setXmlizer(XMLizer xmlizer)`

Methods inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinitionBuilder
`buildAnotherWidgetDefinition, buildEventListeners, buildWidgetDefinition, setCommonProperties, setCreateListeners, setDatatypeManager, setDisplayData, setExpressionManager, setupDefinition, setValidators, setWidgetDefinitionBuilders, setWidgetListenerBuilders, setWidgetValidatorBuilders`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.forms.formmodel.WidgetDefinitionBuilder
`buildWidgetDefinition`

Constructor Detail

### AbstractDatatypeWidgetDefinitionBuilder

    public AbstractDatatypeWidgetDefinitionBuilder()

Method Detail

### setupDefinition

    protected void setupDefinition(Element widgetElement,
                                   AbstractDatatypeWidgetDefinition definition,
                                   WidgetDefinitionBuilderContext context)
                            throws Exception

  Throws:
    `Exception`

### setupDefinition

    protected void setupDefinition(Element widgetElement,
                                   AbstractDatatypeWidgetDefinition definition,
                                   WidgetDefinitionBuilderContext context,
                                   boolean isArrayType)
                            throws Exception

  Throws:
    `Exception`

### buildSelectionList

    protected SelectionList buildSelectionList(Element widgetElement,
                                               AbstractDatatypeWidgetDefinition definition,
                                               String name)
                                        throws Exception

  Throws:
    `Exception`

### setSelectionListBuilders

    public void setSelectionListBuilders(Map selectionListBuilders)

### setXmlizer

    public void setXmlizer(XMLizer xmlizer)

### setSourceResolver

    public void setSourceResolver(SourceResolver sourceResolver)

### setProcessInfoProvider

    public void setProcessInfoProvider(org.apache.cocoon.processing.ProcessInfoProvider processInfoProvider)

### getProcessInfoProvider

    protected org.apache.cocoon.processing.ProcessInfoProvider getProcessInfoProvider()

### setDefaultSelectionListBuilder

    public void setDefaultSelectionListBuilder(String defaultSelectionListBuilder)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.